﻿@page
@model TrabajoIntegrador.Pages.EditarModel
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers

<h1>
    Edicion de un archivo.
</h1>

<a asp-page="Index">
    Ir al listado
</a>

<br />

<form method="post" href="Nuevo">
    @Html.LabelFor(m => m.archivoInicial.Name):
    @Html.EditorFor(m => m.archivoInicial.Name)
    @Html.ValidationMessageFor(m => m.archivoInicial.Name)
    <br />
    @Html.LabelFor(m => m.archivoInicial.Extension):
    @Html.EditorFor(m => m.archivoInicial.Extension)
    @Html.ValidationMessageFor(m => m.archivoInicial.Extension)

    @Html.HiddenFor(m => m.archivoModificado.Name)
    @Html.HiddenFor(m => m.archivoModificado.Extension)

    <br />
    <input asp-page-handler="Editar"
           type="submit"
           value="Guardar" />
</form>